%define upstream_name    MouseX-App-Cmd
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Reads from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd) >= 0.300.0
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(Mouse) >= 0.860.0
BuildRequires: perl(Mouse::Object)
BuildRequires: perl(MouseX::ConfigFromFile)
BuildRequires: perl(MouseX::Getopt) >= 0.180.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(YAML)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module marries App::Cmd with MouseX::Getopt. It is a direct port of
MooseX::App::Cmd to Mouse.

Use it like App::Cmd advises (especially see App::Cmd::Tutorial), swapping
App::Cmd::Command for MouseX::App::Cmd::Command.

Then you can write your Mouse commands as Mouse classes, with
MouseX::Getopt defining the options for you instead of 'opt_spec' returning
a Getopt::Long::Descriptive spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-4.mga4
+ Revision: 513247
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 370376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 255814
- bad signature

* Tue Jun 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 255176
- update to 0.11

* Thu Jun 30 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 116747
- imported package perl-MouseX-App-Cmd


* Thu Jun 30 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
